Subject: Re: bug#67485: [Cuirass] Workers not waking up after server went away

From: Ludovic Courtès <[email-masked]>
Date: Thu, 29 Aug 2024 11:38:22 +0200

Ludovic Courtès <[email-masked]> skribis:

> The ‘cuirass remote-worker’ processes (1.2.0-1.bdc1f9f) didn’t wake up
> after ‘cuirass remote-server’ stopped responding earlier today,
> remaining stuck while waiting for a reply to their latest “request work”
> message:

I believe this is fixed.  In particular, Cuirass commit
fdb6bdfa27d9da8d052ed76b6a05b3817ff19777 added a timeout waiting for
“request work” replies.

Ludo’.